Rvm管理多版本ruby和rails

Table of Contents

知识点

  • rvm
  • ruby
  • gemset

目标

安装ruby2.5.5 + rails5.0.2 和 ruby2.5.5 + rails6.0.2.1 组合

查看安装的ruby版本列表

rvm list
#  选择 ruby2.5.5
rvm use 2.5.5
#  查看ruby+rails 组合列表gemset
rvm gemset list
#  创建ruby2.5.5 + rails5.0.2 组合
rvm gemset create rails5
rvm use 2.5.5@rails5
gem install rails --version=5.0.2
rails -v
#  创建ruby2.5.5 + rails6.0.2.1 组合
rvm gemset create rails6
rvm use 2.5.5@rails6
gem install rails --version=6.0.2.1
rails -v
#  注意:切换ruby+rails组合命令
rvm use 2.5.5@rails6
rvm use 2.5.5@rails5

外链

Date: 2022-06-11 Sat 20:43

Author: yangk

Created: 2023-01-03 Tue 12:43

hello-world